/**
* 
* Package:     @virtualpatterns/babel-preset-mablung-makefile
* Description: TBD
* Version:     0.0.11
* License:     GPL-3.0+
* Author:      virtualpatterns.com <code@virtualpatterns.com> (http://www.virtualpatterns.com)
* Repository:  https://github.com/virtualpatterns/babel-preset-mablung-makefile
* Source:      source/index.cjs
* 
**/
"use strict";

const Clone = require('clone');

const Is = require('@pwn/is');

const Package = require('../package.json');

module.exports = function (api, option) {
  var _option$header;

  // {
  //   "overrides": [
  //     {
  //       "include": [
  //         "source/**/*.cjs"
  //       ],
  //       "presets": [
  //         [
  //           "@babel/preset-env",
  //           {
  //             "targets": {
  //               "node": "current"
  //             }
  //           }
  //         ]
  //       ]
  //     },
  //     {
  //       "exclude": [
  //         "source/header/**/*"
  //       ],
  //       "plugins": [
  //         [
  //           "babel-plugin-add-header-comment",
  //           {
  //             "header": [
  //               "!node release/header/index.js"
  //             ]
  //           }
  //         ]
  //       ]
  //     }
  //   ]
  // },
  let configuration = Clone(Package.babel);
  let name = null;
  name = configuration.overrides[0].presets[0][0]; // console.log(`configuration.overrides[0].presets[0][0] = require('${name}')`)

  configuration.overrides[0].presets[0][0] = require(name);
  let exclude = null;
  exclude = ((_option$header = option.header) === null || _option$header === void 0 ? void 0 : _option$header.exclude) || [];
  exclude = Is.array(exclude) ? exclude : [exclude]; // console.log(`configuration.overrides[1].exclude.push('${exclude.join('\', \'')}')`)

  configuration.overrides[1].exclude.push(...exclude);
  name = configuration.overrides[1].plugins[0][0]; // console.log(`configuration.overrides[1].plugins[0][0] = require('${name}')`)

  configuration.overrides[1].plugins[0][0] = require(name);
  return configuration;
};
